Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2113 - klogd error with kernel 2.2.x
Summary: klogd error with kernel 2.2.x
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd
Version: 5.2
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-10 11:01 UTC by Thomas Zehetbauer
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-04 14:49:47 UTC


Attachments (Terms of Use)

Description Thomas Zehetbauer 1999-04-10 11:01:32 UTC
klogd uses lseek on /dev/kmem. In case of an error this
would return (off_t)-1 but the return value is considered an
error if <0 which is inaccurate when large numbers are
treated as a signed int.

Comment 1 Bill Nottingham 1999-04-12 14:46:59 UTC
try upgrading to a later syslogd (such as 1.3.31-*, from
the errata). Does this solve the problem?

Comment 2 Thomas Zehetbauer 1999-05-03 18:34:59 UTC
Upgrading to the latest available sysklogd solved this problem.
Unfortunately this update was not officially announced and is not in
the "new-kernel" updates directory.

Comment 3 Bill Nottingham 1999-05-04 14:49:59 UTC
The sysklogd update is actually in the regular 5.2 errata,
IIRC. We'll probably throw a link from one to the other.


Note You need to log in before you can comment on or make changes to this bug.